package com.ruoyi.system.domain;

import com.alibaba.fastjson.annotation.JSONField;

import java.math.BigDecimal;

/**
 * @author Shawn
 */
public class B16 {
    @JSONField(name = "序号")
    private String id;
    @JSONField(name = "订单号")
    private String orderId;
    @JSONField(name = "预订日期")
    private String preOrderDate;
    @JSONField(name = "预订人")
    private String preOrderPerson;
    @JSONField(name = "员工ID")
    private String userId;
    @JSONField(name = "单元号")
    private String unitId;
    @JSONField(name = "起飞日期")
    private String departureDate;
    @JSONField(name = "出发城市")
    private String departureCity;
    @JSONField(name = "到达城市")
    private String arrivalCity;
    @JSONField(name = "费用类型")
    private String feeType;
    @JSONField(name = "结算金额")
    private BigDecimal settlementAmount;
    @JSONField(name = "平台")
    private String part;
    @JSONField(name = "上传人")
    private String uploadPerson;
    @JSONField(name = "上传日期时间")
    private String uploadTime;

    public B16() {
    }

    @Override
    public String toString() {
        return "B16{" +
                "id='" + id + '\'' +
                ", orderId='" + orderId + '\'' +
                ", preOrderDate='" + preOrderDate + '\'' +
                ", preOrderPerson='" + preOrderPerson + '\'' +
                ", unitId='" + unitId + '\'' +
                ", departureDate='" + departureDate + '\'' +
                ", departureCity='" + departureCity + '\'' +
                ", arrivalCity='" + arrivalCity + '\'' +
                ", feeType='" + feeType + '\'' +
                ", settlementAmount=" + settlementAmount +
                ", part='" + part + '\'' +
                ", uploadPerson='" + uploadPerson + '\'' +
                ", uploadTime='" + uploadTime + '\'' +
                '}';
    }

    public String getUploadPerson() {
        return uploadPerson;
    }

    public void setUploadPerson(String uploadPerson) {
        this.uploadPerson = uploadPerson;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getPreOrderDate() {
        return preOrderDate;
    }

    public void setPreOrderDate(String preOrderDate) {
        this.preOrderDate = preOrderDate;
    }

    public String getPreOrderPerson() {
        return preOrderPerson;
    }

    public void setPreOrderPerson(String preOrderPerson) {
        this.preOrderPerson = preOrderPerson;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUnitId() {
        return unitId;
    }

    public void setUnitId(String unitId) {
        this.unitId = unitId;
    }

    public String getDepartureDate() {
        return departureDate;
    }

    public void setDepartureDate(String departureDate) {
        this.departureDate = departureDate;
    }

    public String getDepartureCity() {
        return departureCity;
    }

    public void setDepartureCity(String departureCity) {
        this.departureCity = departureCity;
    }

    public String getArrivalCity() {
        return arrivalCity;
    }

    public void setArrivalCity(String arrivalCity) {
        this.arrivalCity = arrivalCity;
    }

    public String getFeeType() {
        return feeType;
    }

    public void setFeeType(String feeType) {
        this.feeType = feeType;
    }

    public BigDecimal getSettlementAmount() {
        return settlementAmount;
    }

    public void setSettlementAmount(BigDecimal settlementAmount) {
        this.settlementAmount = settlementAmount;
    }

    public String getPart() {
        return part;
    }

    public void setPart(String part) {
        this.part = part;
    }

    public String getUploadTime() {
        return uploadTime;
    }

    public void setUploadTime(String uploadTime) {
        this.uploadTime = uploadTime;
    }
}
